org.codehaus.plexus.component

## Interface MapOrientedComponent

    public interface MapOrientedComponent

### Method Summary

Methods
`void` `addComponentRequirement(ComponentRequirement requirementDescriptor, Object requirementValue)`
`void` `setComponentConfiguration(Map componentConfiguration)`

### Method Detail

#### addComponentRequirement

    void addComponentRequirement(ComponentRequirement requirementDescriptor,
                               Object requirementValue)
                                 throws ComponentConfigurationException

Throws:
  `ComponentConfigurationException`

#### setComponentConfiguration

    void setComponentConfiguration(Map componentConfiguration)
                                   throws ComponentConfigurationException

Throws:
  `ComponentConfigurationException`